#!/bin/bash

. ~/Workspace/mykubernetesenv/ENVDB1

DATABASE=ma
LOGIN=ma
PASSWORD=`openssl rand -base64 24`
NAMESPACE=`cat namespace`


psql <<EOF
do
\$\$
begin
  ALTER USER $LOGIN WITH PASSWORD '$PASSWORD';
  GRANT ALL PRIVILEGES ON DATABASE $DATABASE TO $LOGIN;
end
\$\$
;
commit;
EOF



kubectl create secret generic ma-db-cred \
  --dry-run=client \
  -o yaml \
  --save-config \
  --from-literal=PGUSER="$LOGIN" \
  --from-literal=PGPASSWORD="$PASSWORD" \
  --from-literal=PGDATABASE="$DATABASE" \
  --from-literal=PGHOST="database.database1.svc.cluster.local" \
  --from-literal=PGSSLMODE="require" | \
  kubectl apply -f - -n $NAMESPACE

